MeasurementPending
Date: 2019-10-22

org.jmol.modelset

## Class MeasurementPending

- java.lang.Object
- - org.jmol.modelset.Measurement
  - - org.jmol.modelset.MeasurementPending

-     public class MeasurementPending
      extends Measurement

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `haveModified`
    `boolean` | `haveTarget`
    `private int` | `lastIndex`
    `int` | `numSet`

    - ### Fields inherited from class org.jmol.modelset.Measurement

      `colix, count, countPlusIndices, index, isHidden, isTrajectory, isValid, isVisible, labelColix, mad, ms, NMR_DC, NMR_JC, NMR_NOT, pts, renderArc, renderAxis, strFormat, text, thisID, tickInfo, traceX, traceY, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeasurementPending()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addPoint(int atomIndex, Point3fi ptClicked, boolean doSet)`
    `private boolean` | `checkPoint(Point3fi ptClicked)`
    `int` | `getIndexOf(int atomIndex)`
    `MeasurementPending` | `set(ModelSet modelSet)`
    `void` | `setCount(int count)`

    - ### Methods inherited from class org.jmol.modelset.Measurement

      `find, fixValue, formatMeasurement, formatMeasurementAs, getAtom, getAtomIndex, getInfoAsString, getLabel, getLastIndex, getMeasurement, getMeasurementScript, getString, getStringDetail, getStringUsing, isConnected, isInRange, isIntramolecular, isMin, isTainted, isValid, nmrType, reformatDistanceIfSelected, refresh, sameAs, sameAsPoints, setCountM, setM, setModelIndex, setPoints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### haveTarget

          public boolean haveTarget

    - #### haveModified

          public boolean haveModified

    - #### numSet

          public int numSet

    - #### lastIndex

          private int lastIndex

  - ### Constructor Detail

    - #### MeasurementPending

          public MeasurementPending()

  - ### Method Detail

    - #### set

          public MeasurementPending set(ModelSet modelSet)

    - #### checkPoint

          private boolean checkPoint(Point3fi ptClicked)

    - #### getIndexOf

          public int getIndexOf(int atomIndex)

    - #### setCount

          public void setCount(int count)

      Overrides:
        `setCount` in class `Measurement`

    - #### addPoint

          public int addPoint(int atomIndex,
                              Point3fi ptClicked,
                              boolean doSet)